-- ===================================================================

minetest.register_node ("default:ladder_wood", {
    description = "Wooden Ladder",
    mesh = "default_ladder.b3d",
    tiles = {"default_ladder_wood.png"} ,
    paramtype = "light",
    paramtype2 = "facedir",
    sunlight_propagates=true,
    walkable=true,
    climbable=true,
    is_ground_content=false,
    groups = {choppy=1.5, oddly_breakable_by_hand=2.5, flammable=2} ,
    drawtype="mesh",
    collision_box = {
        type="fixed",
        fixed = {
            { -0.47, -0.5, 0.335, 0.47, 0.5, 0.5 }
        }
    } ,
    selection_box = {
        type="fixed",
        fixed = {
            {-0.47, -0.5, 0.335, 0.47, 0.5, 0.5}
        }
    } ,

    legacy_wallmounted = true,
    sounds = default.node_sound_wood_defaults()
})

-- ===================================================================

minetest.register_node ("default:ladder_steel", {
    description = "Steel Ladder",
    mesh = "default_ladder.b3d",
    tiles = {"default_ladder_steel.png"} ,
    paramtype = "light",
    paramtype2 = "facedir",
    sunlight_propagates=true,
    walkable=true,
    climbable=true,
    is_ground_content=false,
    groups = {choppy=1.5, oddly_breakable_by_hand=2.5, flammable=2} ,
    drawtype="mesh",

    collision_box = {
        type="fixed",
        fixed = {
            {-0.47, -0.5, 0.335, 0.47, 0.5, 0.5}
        }
    } ,

    selection_box = {
        type="fixed",
        fixed = {
            {-0.47, -0.5, 0.335, 0.47, 0.5, 0.5}
        }
    } ,

    legacy_wallmounted = true,
    sounds = default.node_sound_metal_defaults()
})

-- ===================================================================

minetest.register_alias ("default:ladder"      ,
                         "default:ladder_wood" )

-- ===================================================================

minetest.register_lbm ({
    name      =   "default:cvt_ladder"   ,
    label     =   "default:cvt_ladder"   ,
    nodenames = {
        "default:ladder"       ,
        "default:ladder_steel" ,
        "default:ladder_wood"  ,
    } ,
    run_at_every_load = true ,

    action = function (pos, node)
        local meta = minetest.get_meta (pos)
        if meta:get_int ("cvt") ~= 0 then return end
           meta:set_int ("cvt", 1)

        local rotmap = {
            [4] = 0, [2] = 1, [5] = 2, [3] = 3
        }

        local  old_fdir =  node.param2
        local  new_fdir =  rotmap [old_fdir] or old_fdir

-- placed on wall w/player facing north: old=4 new=0
-- placed on wall w/player facing east:  old=2 new=1
-- placed on wall w/player facing south: old=5 new=2
-- placed on wall w/player facing west:  old=3 new=3

        if old_fdir ~= new_fdir then
            node.param2 = new_fdir
            minetest.set_node (pos, node)
        end
    end
})
