-- ===================================================================

minetest.register_node ("default:junglegrass", {
    description = "Jungle Grass",
    drawtype = "plantlike",
    visual_scale = 1.3,
    tiles = { "default_junglegrass.png" } ,
    inventory_image = "default_junglegrass.png",
    wield_image = "default_junglegrass.png",
    paramtype = "light",
    walkable = false,
    groups = {snappy=3,attached_node=1},
    sounds = default.sound_leaves(),
})

-- ===================================================================

minetest.register_node ("default:cactus", {
    description = "Cactus",
    tiles = {
        "default_cactus_top.png"  ,
        "default_cactus_top.png"  ,
        "default_cactus_side.png" ,
    } ,
    groups = {snappy=2,choppy=3},
    sounds = default.sound_wood(),
})

-- ===================================================================

minetest.register_node ("default:papyrus", {
    description = "Papyrus",
    drawtype = "plantlike",
    tiles = { "default_papyrus.png" } ,
    inventory_image = "default_papyrus.png",
    wield_image = "default_papyrus.png",
    paramtype = "light",
    walkable = false,
    climbable = true,
    groups = {snappy=3},
    sounds = default.sound_leaves(),
})

-- ===================================================================

minetest.register_node ("default:dry_shrub", {
    description = "Dry Shrub",
    drawtype = "plantlike",
    waving = 1,
    visual_scale = 1.0,
    tiles = {"default_dry_shrub.png"} ,
    inventory_image = "default_dry_shrub.png",
    wield_image = "default_dry_shrub.png",
    paramtype = "light",
    sunlight_propagates = true,
    walkable = false,
    buildable_to = true,
    groups = {snappy = 3, flammable = 3, attached_node = 1} ,
    sounds = default.sound_leaves() ,
    selection_box = {
        type = "fixed",
        fixed = {-0.5, -0.5, -0.5, 0.5, -5/16, 0.5} ,
    } ,
})

-- ===================================================================
-- End of file.
