-- ===================================================================

local reg_alias = ocutil.safe_register_alias
local needitem

-- ===================================================================
-- Lab Beakers.

local beaker_colors = {
    { "blue"   , "#0000DD" } ,
    { "green"  , "#00DD00" } ,
    { "red"    , "#DD0000" } ,
    { "violet" , "#7D00DD" } ,
    { "yellow" , "#DDDD00" } ,
}

for _, row in ipairs (beaker_colors) do
    local cname  = row [1]
    local ccode  = row [2]
    local ucname = ocutil.first_to_upper (cname)

    local img    = "blank256.png^[colorize:" ..
ccode .. ":255" ..
"^beaker_extmask.png^[makealpha:128,0,0^beaker_overlay.png"

    needitem = "beakers:" .. cname
    --
    placecraft.register_item (needitem,
    {
        description = "Beaker " .. ucname ,
        drawtype    = "sprite"            ,
        image       = img                 ,
        vsize       = 0.75                ,
    })
    reg_alias ("beaker:" .. cname, needitem)

    img = "blank256.png^[colorize:" ..
ccode .. ":255" ..
"^graded_extmask.png^[makealpha:128,0,0^graded_overlay.png"

    placecraft.register_item ("graded:" .. cname,
    {
        description = "Graded Glass " .. ucname ,
        drawtype    = "sprite"                  ,
        image       = img                       ,
        vsize       = 0.75                      ,
    })
end

-- ===================================================================
-- OBOE potions.

local oboe_colors = {
    "blue", "cyan", "gold", "green", "purple", "red"
}

for _, cname in ipairs (oboe_colors) do
    local uccolor = ocutil.first_to_upper (cname)
    local desc    = "OBOE " .. uccolor .. " Potion"
    local img     = "oboe_potion_" .. cname  .. ".png"

    placecraft.register_item ("oboe:potion_" .. cname, {
        description = desc          ,
        drawtype    = "sprite"      ,
        image       = img           ,
        vsize       = 1.00          ,
    })
end

-- ===================================================================

needitem = "dogtreats:biscuits"
--
placecraft.register_item (needitem, {
    description = "Dog biscuits"           ,
    drawtype    = "sprite"                 ,
    image       = "dogtreat_biscuits.png"  ,
    narrow      = false                    ,
    vsize       = 1.00                     ,
})
reg_alias ("dogtreat:biscuits", needitem)

-- ===================================================================

needitem = "dogtreats:bone"
--
placecraft.register_item (needitem, {
    description = "Bone for dog"           ,
    drawtype    = "sprite"                 ,
    image       = "placecraft_dogbone.png" ,
    narrow      = true                     ,
    vsize       = 0.75                     ,
})
reg_alias ("dogtreat:bone", needitem)

-- ===================================================================

placecraft.register_item ("weapons:reinforced_club", {
    description = "Reinforced club"             ,
    drawtype    = "sprite"                      ,
    image       = "reinforced_club_small.png"   ,
    vsize       = 0.75                          ,
})

-- ===================================================================

placecraft.register_item ("spacecraft:alien_scout", {
    description = "Alien Scout"                 ,
    drawtype    = "sprite"                      ,
    image       = "placecraft_alien_scout.png"  ,
    vsize       = 1.00                          ,
})

-- ===================================================================
-- End of file.
