-- ===================================================================
-- conf-file setting(s).

local enable_wonder = minetest.setting_getbool ("enable_wonder")

-- ===================================================================
-- Determine stuff to give.

local default_stuff = "default:spacesuit_off"

if enable_wonder then
    default_stuff = default_stuff ..
        ",default:pick_steel,default:torch 50,farming:bread 25"
else
    default_stuff = "default:pick_steel,default:axe_steel"  ..
        ",default:shovel_steel,default:torch 99,default:cobble 99"
end

local stuff_string = minetest.setting_get ("initial_stuff") or
    default_stuff

-- ===================================================================

giveinitial = {
	items = {}
}

function giveinitial.give(player)
	minetest.log("action",
			"Giving initial stuff to player " .. player:get_player_name())
	local inv = player:get_inventory()
	for _, stack in ipairs(giveinitial.items) do
		inv:add_item("main", stack)
	end
end

function giveinitial.add(stack)
	giveinitial.items[#giveinitial.items + 1] = ItemStack(stack)
end

function giveinitial.clear()
	giveinitial.items = {}
end

function giveinitial.add_from_csv(str)
	local items = str:split(",")
	for _, itemname in ipairs(items) do
		giveinitial.add(itemname)
	end
end

function giveinitial.set_list(list)
	giveinitial.items = list
end

function giveinitial.get_list()
	return giveinitial.items
end

giveinitial.add_from_csv (stuff_string)

if  minetest.setting_getbool("giveinitial") then
	minetest.register_on_newplayer(giveinitial.give)
end
